org.apache.lucene.analysis.tokenattributes

## Class KeywordAttributeImpl

- java.lang.Object
- - org.apache.lucene.util.AttributeImpl
  - - org.apache.lucene.analysis.tokenattributes.KeywordAttributeImpl

- All Implemented Interfaces:
    Cloneable, KeywordAttribute, Attribute

      public final class KeywordAttributeImpl
      extends AttributeImpl
      implements KeywordAttribute

  Default implementation of `KeywordAttribute`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeywordAttributeImpl()` Initialize this attribute with the keyword value as false.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the values in this AttributeImpl and resets it to its default value.
    `void` | `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `boolean` | `isKeyword()` Returns `true` if the current token is a keyword, otherwise `false`
    `void` | `reflectWith(AttributeReflector reflector)` This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.
    `void` | `setKeyword(boolean isKeyword)` Marks the current token as keyword if set to `true`.

    - ### Methods inherited from class org.apache.lucene.util.AttributeImpl

      `clone, end, reflectAsString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeywordAttributeImpl

          public KeywordAttributeImpl()

      Initialize this attribute with the keyword value as false.

  - ### Method Detail

    - #### clear

          public void clear()

      Description copied from class: `AttributeImpl`
      Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.
      Specified by:
        `clear` in class `AttributeImpl`

    - #### copyTo

          public void copyTo(AttributeImpl target)

      Description copied from class: `AttributeImpl`
      Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.
      Specified by:
        `copyTo` in class `AttributeImpl`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### isKeyword

          public boolean isKeyword()

      Description copied from interface: `KeywordAttribute`
      Returns `true` if the current token is a keyword, otherwise `false`
      Specified by:
        `isKeyword` in interface `KeywordAttribute`
      Returns:
        `true` if the current token is a keyword, otherwise `false`
      See Also:
        `KeywordAttribute.setKeyword(boolean)`

    - #### setKeyword

          public void setKeyword(boolean isKeyword)

      Description copied from interface: `KeywordAttribute`
      Marks the current token as keyword if set to `true`.
      Specified by:
        `setKeyword` in interface `KeywordAttribute`
      Parameters:
        `isKeyword` - `true` if the current token is a keyword, otherwise `false`.
      See Also:
        `KeywordAttribute.isKeyword()`

    - #### reflectWith

          public void reflectWith(AttributeReflector reflector)

      Description copied from class: `AttributeImpl`
      This method is for introspection of attributes, it should simply add the key/values this attribute holds to the given `AttributeReflector`.

      Implementations look like this (e.g. for a combined attribute implementation):

             public void reflectWith(AttributeReflector reflector) {
               reflector.reflect(CharTermAttribute.class, "term", term());
               reflector.reflect(PositionIncrementAttribute.class, "positionIncrement", getPositionIncrement());
             }

      If you implement this method, make sure that for each invocation, the same set of `Attribute` interfaces and keys are passed to `AttributeReflector.reflect(java.lang.Class<? extends org.apache.lucene.util.Attribute>, java.lang.String, java.lang.Object)` in the same order, but possibly different values. So don't automatically exclude e.g. `null` properties!

      Specified by:
        `reflectWith` in class `AttributeImpl`
      See Also:
        `AttributeImpl.reflectAsString(boolean)`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.